Skip to main content

Move a candidate

You can move a candidate using the API.

Request

This method allows you to move candidates:

PUT /company/{companyID}/vacancy/{vacancyID}/applicant/{applicantID}

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIDpathstring
✔️
Company identifier0GjqBwprWAdArDl4
vacancyIDpathstring
✔️
Listing idVq5r6pYxam9AmMvP
applicantIDpathstring
✔️
Candidate idV41QG9eja5pK6Xev
column_idpayloadinteger
✔️
Column id13133

Request example

cURL request
curl -X PUT 'https://api.flatchr.io/company/0GjqBwprWAdArDl4/vacancy/Vq5r6pYxam9AmMvP/applicant/V41QG9eja5pK6Xev'
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{"column_id":13133}'

Response

NameTypeDescription
idstringCandidate identifier
vacancy_idstringListing identifier
column_idintegerIdentifier of the column where the candidate is located
created_attimestampCandidate creation date
updated_attimestampCandidate update date
statusintegerCandidate status
viewbooleanWhether the candidate's profile has been viewed
anonymbooleanWhether the candidate is anonymized
external_idstringExternal candidate identifier
candidatecandidateCandidate information
columnstringColumn to which the candidate was moved
vacancystringName of the listing the candidate applied to
foreignerboolean
applies[applies]

Response example

{
"id": "V41QG9aja5pK6Xev",
"vacancy_id": "Vq1r6pYxam9AmMvP",
"column_id": 1313,
"score": 0,
"comment": "",
"created_at": 1643904014,
"updated_at": 1645015716,
"status": 1,
"view": true,
"anonym": false,
"external_id": null,
"candidate": {
"id": "LrENkKc8mmn3xYBM",
"email": "xxxxxxxx@gmail.com",
"firstname": "XXXX",
"lastname": "XXXX",
"urls": {},
"created_at": "2022-02-03T16:00:14.589Z",
"phone": "+33 0 00 00 00 00",
"consent": true
},
"column": {},
"vacancy": {},
"foreigner": false,
"applies": [
{
"id": "Vq5r8pY1YgpAmMvP",
"created_at": "2022-02-03T16:00:14.630Z",
"vacancy_id": "Vq5rnpYxam9AmMvP",
"offerer_id": "ZmbMGYdOZ1d3JPNx",
"import": false
}
]
}